Update Contact By Id
curl --request PUT \
--url 'https://api.example.com/api/v1/contact/{contact_id}?api_key=' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"channels": {},
"user_attributes": {},
"last_seen": "2023-11-07T05:31:56Z",
"last_sent": "2023-11-07T05:31:56Z",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_widget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_widget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": {}
}
'import requests
url = "https://api.example.com/api/v1/contact/{contact_id}?api_key="
payload = {
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"channels": {},
"user_attributes": {},
"last_seen": "2023-11-07T05:31:56Z",
"last_sent": "2023-11-07T05:31:56Z",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_widget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_widget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": {}
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
email: '<string>',
channels: {},
user_attributes: {},
last_seen: '2023-11-07T05:31:56Z',
last_sent: '2023-11-07T05:31:56Z',
org_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
first_assistant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
last_assistant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
first_widget_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
last_widget_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
custom_fields: {}
})
};
fetch('https://api.example.com/api/v1/contact/{contact_id}?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Data updated successfully",
"meta": {},
"data": {
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"channels": {},
"user_attributes": {},
"last_seen": "2023-11-07T05:31:56Z",
"last_sent": "2023-11-07T05:31:56Z",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_widget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_widget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Contact
Update Contact By Id
Update contact
PUT
/
api
/
v1
/
contact
/
{contact_id}
Update Contact By Id
Authorizations
Your API KeyHTTPBearer
Your API key for authentication. You can generate it from the Settings page. Format: starts with in-.
Path Parameters
Body
application/json
Was this page helpful?

